petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSTrajectorySetFromOptions

Sets various TSTrajectory parameters from user options.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectorySetFromOptions(TSTrajectory tj,TS ts)

Collective on TSTrajectory

### Input Parameter

| tj | - the TSTrajectory context obtained from TSTrajectoryCreate()
| ts | - the TS context

### Options Database Keys

| -ts_trajectory_type <type> | - TSTRAJECTORYBASIC, TSTRAJECTORYMEMORY, TSTRAJECTORYSINGLEFILE, TSTRAJECTORYVISUALIZATION
| -ts_trajectory_keep_files <true,false> | - keep the files generated by the code after the program ends. This is true by default for TSTRAJECTORYSINGLEFILE, TSTRAJECTORYVISUALIZATION
| -ts_trajectory_monitor | - print TSTrajectory information

### Notes

This is not normally called directly by users

### Keywords

TS, trajectory, timestep, set, options, database

### See Also

TSSetSaveTrajectory(), TSTrajectorySetUp()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c

### Implementations

TSTrajectorySetFromOptions_Memory in src/ts/trajectory/impls/memory/trajmemory.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages